GEOM_UZIP(4)

NAME
geom_uzip - GEOM based compressed disk images

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

options GEOM_UZIP

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    geom_uzip_load="YES"

DESCRIPTION
The geom_uzip framework provides support for compressed read only disk images. This allows significant storage savings at the expense of a little CPU time on each read. Data written in the GEOM label area allows geom_uzip to detect compressed images which have been created with mkuzip(8) and presented to the kernel as a logical disk device via md(4). geom_uzip creates a unique md#.uzip device for each image.

The geom_uzip device is subsequently used by the FreeBSD kernel to access the disk images. The geom_uzip driver does not allow write operations to the underlying disk image. To check which md(4) devices match a given geom_uzip device:

    # geom uzip list
    Geom name: md1.uzip
    Providers:
    1. Name: md1.uzip
       Mediasize: 22003712 (21M)
       Sectorsize: 512
       Mode: r1w0e1
    Consumers:
    1. Name: md1
       Mediasize: 9563648 (9.1M)
       Sectorsize: 512
       Mode: r1w0e1

SEE ALSO
GEOM(4), md(4), geom(8), mkuzip(8)

AUTHORS
-nosplit The geom_uzip driver was written by Max Khon <fjoe@FreeBSD.org>. This manual page was written by Ceri Davies <ceri@FreeBSD.org>.